	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "axis3")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_x_max_latitude", 20.00)
	call psetr("subpage_x_max_longitude", 180.00)
	call psetr("subpage_y_min", 1020.00)
	call psetr("subpage_x_min_latitude", -20.00)
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 10.00)
	call psetc("subpage_x_axis_type", "geoline")
	call psetc("subpage_y_axis_type", "logarithmic")
	call psetr("subpage_x_min_longitude", -180.00)

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call psetc("axis_grid_reference_line_style", "solid")
	call pseti("axis_grid_reference_thickness", 1)
	call pseti("axis_grid_thickness", 1)
	call psetr("axis_grid_reference_level", 0.00)
	call psetc("axis_type", "logarithmic")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dash")
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "geoline")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dash")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call pset1c("text_lines", (/"Using an horizontal geoline and vertical logarithmic axis..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_html", "true")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
